%define lib_major 6

Summary: A free client-side implementation of HBCI
Name: openhbci
Version: 0.9.7
Release: 1mdk
Source: http://download.sourceforge.net/openhbci/%{name}-%{version}.tar.bz2
Group: System/Libraries
License: LGPL
URL: http://www.openhbci.de
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel

%description
OpenHBCI is the first free client-side implementation of the HBCI
specification. HBCI (Home Banking Computer Interface) is the German
homebanking standard used by many German banks.  For chipcard support,
libchipcard (http://www.libchipcard.de) is needed.  For actual
homebanking, use an application like AqMoney (http://aqmoney.sf.net)
or GnuCash (http://www.gnucash.org)

%package -n libopenhbci%{lib_major}
Summary:        Libraries for openhbci
Group:          System/Libraries

%description -n libopenhbci%{lib_major}
This package provides libraries to use openhbci.


%package -n libopenhbci%{lib_major}-devel
Group:	Development/C++
Summary: Libraries needed to develop for openhbci
Requires: libopenhbci%{lib_major} = %{version}-%{release}
Provides: openhbci-devel = %{version}-%{release}
Provides: libopenhbci-devel = %{version}-%{release}

%description -n libopenhbci%{lib_major}-devel
Libraries needed to develop for openhbci.


%prep
%setup -q

%build
%configure2_5x --enable-static=no 

%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%makeinstall_std

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n libopenhbci%{lib_major} -p /sbin/ldconfig

%postun -n libopenhbci%{lib_major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%{_bindir}/rdhconverter

%files -n libopenhbci%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*


%files -n libopenhbci%{lib_major}-devel
%defattr(-,root,root)
%{_bindir}/openhbci-config
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/aclocal/*

%changelog
* Tue Feb 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-1mdk
- Initial Mdk package


